blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
a67c8a7f71274bf575f50d5564c97d4eb905adb7
Shell
parijatmukherjee/Random
/yumrepos-new.sh
UTF-8
5,489
4.09375
4
[]
no_license
#!/bin/bash # # Creates Yum repos # # */5 * * * * /usr/local/sbin/yumrepos-new.sh <group_id> >> /var/log/yumrepos-<group_id>.log 2>&1 # # $Id$ # # 21/11/2015 Parijat Mukherjee # if [ -z "$1" ]; then echo Require parameter name; exit 1; fi raw_name="$1" name="${raw_name}" if [ -n "$3" ]; then artifact_modifier="...
true
a62d4806a713177aa0f6ef80ebba4731711a89c5
Shell
IP-CAM/Opencart-v.2.3.0.2-integration-package-QuickCommerce
/app/install-script.sh
UTF-8
4,488
3.625
4
[]
no_license
#!/bin/bash # QuickCommerce Installer # v 0.0.1 Lucas Lopatka # GitHub @firebrandsolutions # TODO: I'm just documenting the procedure here # Final version will be in 1) PHP + 2) Node echo "Please enter the ABSOLUTE PATH to the installation directory! (example: /home/bobjohnson/public_html/)" read installdir echo "Ple...
true
d0229a377ed8569f4b56172379e5cf0b77143473
Shell
JohnAntonioCollins/carfridge
/code/thermostat/thermostat_2.0.sh
UTF-8
1,815
3.84375
4
[]
no_license
#!/bin/bash # thermostat.sh # version 2.0 # car fridge thermostat echo "$(date) thermostat.sh starting" # set data logging destination dataName="thermostat.data" dataDir="/media/pi/USB_32GB/carfridge/data/" fallbackDir="/home/pi/carfridge/data/" if [ ! -d $dataDir ]; then dataDir=$fallbackDir fi dataFile="${dataDi...
true
54ce06aecb1a283ed85a82c4198dfcdc6506652a
Shell
eventide-project/message-store-postgres
/library-symlinks.sh
UTF-8
1,400
4.6875
5
[ "MIT" ]
permissive
set -e if [ -z ${LIBRARIES_HOME+x} ]; then echo "LIBRARIES_HOME must be set to the libraries directory path... exiting" exit 1 fi if [ ! -d "$LIBRARIES_HOME" ]; then echo "$LIBRARIES_HOME does not exist... exiting" exit 1 fi function make_directory { directory=$1 lib_directory="$LIBRARIES_HOME/$director...
true
db4864a997e6d95679186ca214292487a49f060e
Shell
taksh07/BI_Global_Spend
/jp_spend.sh
UTF-8
2,115
2.609375
3
[]
no_license
client_id=$1 customer_id=$2 dbp=$3 server_name="${dbp}.prod.marinsw.net" kif="marin_olap_staging.keyword_instance_fact_${customer_id}_${client_id}" kid="marin_olap_staging.keyword_instance_dim_${customer_id}_${client_id}" query=" SELECT $client_id client_id , cl.client_name , $customer_id customer_id , te.the_year ...
true
a3fb3a1d3688a2db23c2c0550afd8666b6ff6b78
Shell
yhuiyang/my-test-apps
/PWUpdater/utils/CollectMo.sh
UTF-8
769
3.84375
4
[]
no_license
#!/bin/bash # # Collect all mo files for software packing on Linux platform # # $Id$ # # Define configurable variables InputFolder=../resource/locale OutputFolder=locale AppName=PWUpdater executeBinaryParentPath=../bin # Remove previous output rm -rf ${OutputFolder} # Create a temp file to list all the mo files in ...
true
07a86bd88355a5ea54310d8387e7d86d6ccb1eef
Shell
dtx/dot-zsh
/setup.sh
UTF-8
1,533
3.828125
4
[]
no_license
#!/bin/sh echo "zeesh! installation script" # if setup is run from dot-files/setup.sh use basedir provided if [ "$repo_basedir" ]; then basedir=$repo_basedir else basedir="$( cd -P "$( dirname "$0" )" && pwd )" fi # remove previous configuration and link to destination if not cloned directly there if [ "$base...
true
855525d00516c330eab95d8b32ec0ede624a827b
Shell
rohan-suri/COVID-19-app-iOS-BETA
/bin/embed_build_info
UTF-8
884
3.265625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash INFO_PLIST="$TARGET_BUILD_DIR/$INFOPLIST_PATH" SETTINGS_PLIST="$TARGET_BUILD_DIR/$UNLOCALIZED_RESOURCES_FOLDER_PATH/Settings.bundle/Root.plist" cd $PROJECT_DIR status=$(git status --porcelain 2> /dev/null) if [[ "$status" != "" ]]; then STATUS_FLAG='-M' else STATUS_FLAG='' fi COMMIT=$(git rev-pars...
true
9b3a77dfa3a78f7eb40a93e44b966590943d15cf
Shell
Arkanosis/adventofcode_2020
/today.sh
UTF-8
716
3.0625
3
[]
no_license
#! /bin/sh SESSION="$(cat .session-cookie)" YEAR="$(date +%Y)" DAY="$(date +%d)" curl -s --compressed "https://adventofcode.com/$YEAR/day/$(echo $DAY | sed 's/^0//')/input" -H "Cookie: session=$SESSION" > "$DAY.input" if ! [ -f "${DAY}_1.py" ] && ! [ -f "${DAY}_2.py" ]; then cat <<EOF | tee "${DAY}_1.py" > "${D...
true
a8da8bf3623ba2fc5b0acd43b7625903ca3d9f3d
Shell
bdusauso/ibanity-java
/travis-ci/deploy.sh
UTF-8
330
2.734375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash if [ "$TRAVIS_BRANCH" = 'master' ] || [ -n "$TRAVIS_TAG" ]; then if [ -z "$TRAVIS_TAG" ]; then mvn deploy --settings travis-ci/maven_settings.xml -Dchangelist='-SNAPSHOT' else mvn versions:set -DnewVersion=$TRAVIS_TAG mvn deploy --settings travis-ci/maven_settings.xml...
true
c51e54f8ae57977fa3f65ff9cef19bc29a64dc1f
Shell
filip-plata/CS_Bachelor
/year_II/SO/zadanie7/tests/test3.sh
UTF-8
872
3.84375
4
[]
no_license
#!/usr/bin/env bash # Efficiency tests . common.sh BASE_FILE_SIZE=50120 TEST_CASES=5 function make_interlacing { # make_interlacing FILE_SIZE_BLOCK FILE_NAME FILE_S=${1} FILE_NAME=${2} DEVICE="" for f in $(seq 1 ${FILE_S}) do if [ $((${f} % 2)) -eq 1 ] then DEVICE...
true
8883caa97d4b09ec1213edfa63bfeccb6c4604e0
Shell
glamod/glamod-ingest
/scripts/helpers/delete-schema-and-tables.sh
UTF-8
1,213
3.890625
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash if [ ! "$PSQL_PREFIX" ]; then echo "[ERROR] Must define PSQL_PREFIX env variable...like..." echo " psql -U <user> -h <host> <database>" exit fi schema=$1 if [ ! $schema ]; then echo "[ERROR] Must provide valid schema as argument!" exit fi echo "Really drop all tables/objects f...
true
83bfad0c46d8d1e0dcbaf54f4e25f5c18c02eeee
Shell
pdclark/yijing
/bin/yijing
UTF-8
203
2.6875
3
[]
no_license
#!/bin/bash DIR=$(dirname "$0") DIR=$(cd "$DIR" && pwd) fname="../history/yijing-"`date +%Y-%m-%d-%H.%M.%S`.txt echo "$*" | tee "$DIR/$fname" "$DIR/coins" | "$DIR/hexagram" | tee -a "$DIR/$fname" | less
true
3799e19abfffea9924ceeff4a18a8198bc6e3a7d
Shell
Fraunhofer-SIT/charra
/docker/run.sh
UTF-8
5,011
4.0625
4
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash ################################################################################ # Run CHARRA development environment container. # # ---------------------------------------------------------------------------- # # Author: Michael Eckel <michael.eckel@sit.fraunho...
true
88c19548e221376e3874971f58f234ef12326ff9
Shell
cap-ntu/Video-to-Retail-Platform
/server/react-front/build.sh
UTF-8
568
3.453125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # parameter 1: name of rendered html (e.g. index.html) base_dir=${PWD} react_dir=./react-front/ static_dir=./static/ template_dir=./templates/ cd ${react_dir} # build static files npm run-script build cd ${base_dir} ## change js path python fix_js_path.py ${react_dir}/build/ $1 # create a copy o...
true
84896b3769dcc9b41e54c2309cf8cd2d5475ef45
Shell
swethagkrish/unlocking-text-main
/util/scripts/scan_tiff_pages.sh
UTF-8
136
2.84375
3
[ "MIT" ]
permissive
#!/bin/bash for filename in $1/*.tiff; do echo "$filename" tesseract "$filename" -l eng $2/"$(basename "$filename" .tiff)" done
true
ea87b479f9840880498760c53ee8992951a1b34d
Shell
bhargavamin/New-Relic-Installation-Script
/install-newrelic-script.sh
UTF-8
922
3.421875
3
[]
no_license
#Script to install new relic on redhat and centos systems #By Bhargav Amin Github username : bhargavamin echo "Starting installation... Determining system Arch.." MACHINE_TYPE=`uname -m` if [ ${MACHINE_TYPE} == 'x86_64' ]; then # 64-bit echo "Configuring YUM repository for 64bit system" sudo rpm -Uv...
true
ef4494a27e3e2ce81f86c739cf9002edc17228b0
Shell
vzaicev/bash
/2022/07_ernest_knurov/lab03/lab03_z57.sh
UTF-8
237
3.046875
3
[]
no_license
#!/bin/bash if [ -n "$1" ] && [ "$1" == "-task" ]; then echo "Задание" echo "57. Печатать строки длиной меньше или равной 35 символов" echo echo fi sed -n '/^.\{35\}/!p' file.txt
true
c0f6606caaf3e45fde3f3754444c55748c481bc3
Shell
potyt/scripts
/dd-wrt/ntp-ip-cache.sh
UTF-8
258
3.046875
3
[]
no_license
#!/bin/sh PATH=/jffs/scripts:$PATH Ntp=$(nvram get ntp_server) cached=false while ! $cached; do ip-cachew.sh $Ntp if [[ $? = 0 ]]; then cached=true else log.sh "Failed to cache IP for $Ntp" sleep 10 fi done exit 0
true
4d90e808e1e4f91b2caa69b91eb5a0007931e6df
Shell
ci2c/code
/scripts/aurelien/asl-surfstats.sh
UTF-8
1,952
3.140625
3
[]
no_license
#!/bin/bash if [ $# -lt 1 ] then echo "" echo "Usage: process_asl.sh -dir DICOM_FILES" echo "" echo " -dir DICOM_FILES : Path to DICOMS dir" echo "" echo "Usage: scripttoto.sh -dir DICOM_FILES" echo "" exit 1 fi index=1 while [ $index -le $# ] do eval arg=\${$index} case "$arg...
true
51ff75d7eaae5c1a09c8d35a68d1bd9d96b86b38
Shell
johncadams/MediaCasterWinamp
/Apache/bin/buildLibrary
UTF-8
210
3.3125
3
[]
no_license
#!/bin/sh ME="$0" BIN=`dirname $ME` MCASTER="$BIN/.." LIBR="$MCASTER/htdocs/library.txt" TMPF="/var/tmp/library.txt.$$" [ -f "$LIBR" ] || TMPF="$LIBR" if $BIN/getMlData.pl >$TMPF; then mv $TMPF $LIBR fi
true
39276d4df064f9aba7d49966f579da6696a64a51
Shell
amitkshirsagar13/raspomatic-setup
/bin/network-monitor.sh
UTF-8
177
2.890625
3
[]
no_license
#!/bin/bash if ifconfig wlan0 | grep -q "inet " ; then sleep 60 else echo "Network connection down! Attempting reconnection." #ifup --force wlan0 sudo ifconfig wlan0 up fi
true
8603045edd643ae62dc01f0e79315031081097d0
Shell
delkyd/alfheim_linux-PKGBUILDS
/lib32-tevent/PKGBUILD
UTF-8
1,101
2.765625
3
[]
no_license
# Maintainer: Rafael Fontenelle <rafaelff@gnome.org> # Contributor: Mark Weiman <mark dot weiman at markzz dot com> _pkgname=tevent pkgname=lib32-${_pkgname} pkgver=0.9.33 pkgrel=1 pkgdesc="An event system based on the talloc memory management library (lib32)" arch=('x86_64') url="https://tevent.samba.org" source=("ht...
true
95c5f2b7777afa7409b336396bf0deab1724399d
Shell
aur-archive/sdl2
/PKGBUILD
UTF-8
910
2.625
3
[]
no_license
# Maintainer: Jameson Pugh <imntreal@gmail.com> # Contributor: Daniel Kirchner <daniel@ekpyron.rog> # Contributor: Gustavo Alvarez <sl1pkn07@gmail.com> # Contributor: Chase Geigle <sky@skystrife.com> pkgname=sdl2 pkgver=2.0.0 pkgrel=7 pkgdesc="A library for portable low-level access to a video framebuffer, audio outpu...
true
2cf9e17e2442f1028a94585901a26887174c94c7
Shell
facebook/react
/scripts/circleci/check_modules.sh
UTF-8
436
3.53125
4
[ "MIT" ]
permissive
#!/bin/bash set -e # Make sure we don't introduce accidental @providesModule annotations. EXPECTED='scripts/rollup/wrappers.js' ACTUAL=$(git grep -l @providesModule -- './*.js' ':!scripts/rollup/shims/*.js') # Colors red=$'\e[1;31m' end=$'\e[0m' if [ "$EXPECTED" != "$ACTUAL" ]; then printf "%s\n" "${red}ERROR: @p...
true
a23495238238a12b3b2b6d21bb57fa6d7a333ed0
Shell
wytseoortwijn/htable
/throughput/run.sh
UTF-8
537
2.953125
3
[]
no_license
#!/bin/bash RESULT_DIR="write_1_run1" rm -r $RESULT_DIR mkdir $RESULT_DIR machines=( 1 2 4 8 12 16 20 24 28 32 36 40 44 48 52 56 60 64 66 ) threads=( 1 2 4 8 12 16 ) for n in "${machines[@]}"; do for t in "${threads[@]}"; do sbatch --exclusive --time=15 --nodes=$n --error=$RESULT_DIR/result-...
true
94a386ab923ea43921151d674cfe40bb363dcebd
Shell
ademyanchuk/shell_bible
/for_loop
UTF-8
202
3.359375
3
[]
no_license
#!/bin/bash # basic for loop; using variable to hold a list list="Alabama Alaska Arizona Arkansas Colorado" list=$list" Connecticut" for state in $list; do echo "Have you ever visited $state?" done
true
9832ce6233b2e928cfd79a835322acbe55594929
Shell
yashar-vasegh/monitoring
/core/plugins/ac_total.sh
UTF-8
232
2.71875
3
[]
no_license
#!/bin/bash day=$(date +%d) month=$(LC_ALL=en_US.utf8 date +%b) year=$(date +%Y) for service in $(cat /var/spool/cron/crontabs/root | grep '/var/www/python/.*/manage.py autocharge -o' | awk {'print $1'}) do echo $service done
true
69fdf22c902c564442f05870b0276b3a65f5fca1
Shell
nareshnani-lab/HyperionScripts
/NonGeneric_scripts/NON-PROD/exportimportodiscn.sh
UTF-8
5,337
3.59375
4
[]
no_license
#!/bin/sh ###################################################################################################### # Name: exportimportodiscn.sh # Purpose: This script handles the following, # # 1. This Script Migrates requested scenario from Dev to QA ODI environment. If there are multple scenarios separate by comm...
true
785e4c78fe903578e44fafa04a128736dc50384d
Shell
ezbc/class_work
/galaxies/final/proposal/texit
UTF-8
138
2.828125
3
[]
no_license
#!/bin/bash if [ ! -z $1 ] ; then pdflatex $1.tex bibtex $1 pdflatex $1.tex pdflatex $1.tex else echo "Usage: texit <tex file>" fi
true
45eb7539d94dcc0728acec80bb2e5df83a88f2a6
Shell
ntc2/conf
/scripts/pdf-rescalers/pdfrescale
UTF-8
1,029
3.53125
4
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash # NC: downloaded from http://www.cs.cmu.edu/~joshuad/pdfrescale (Joshua Dunfield) # NC: 1.2 was the right scale for my usage! # Based on a batch file by Maverick Woo # # Usage: # pdfrescale path-stem scale-factor # # Example: # pdfrescale sillyLNCSpaper 1.2 # produces # sillyLNCSpaper-1....
true
f14b5ae96ebbefe2285affd4e55d19227ec18802
Shell
djehuti/dotfiles
/bashrc
UTF-8
2,642
3.546875
4
[]
no_license
# -*-mode:shell-script-*- # ~/Dropbox/dotfiles/bashrc # Source global definitions if [ -f /etc/bashrc ]; then . /etc/bashrc fi #---------------------------------------------------------------------- # This defines a bash command named `edit' which contacts/resumes an # existing emacs or starts a new one if none e...
true
5c53a0df2a5099e22e156af8baac709a79329684
Shell
pavlovich/ngrx-registry
/publish.sh
UTF-8
497
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash rm -rf ./src/ngrx-registry tsc --project tsconfig.lib.json 2> /dev/null if [ $? -eq 0 ] then echo "Compilation OK, publishing" cp README.md ./src/ngrx-registry cp lib/package.json ./src/ngrx-registry NPM_USER=$(npm whoami 2> /dev/null) if [ "${NPM_USER}" != "pavlovich" ]; then echo "You mus...
true
2882c9a69b9caacbb3d7a09922c1f0d2e1658c05
Shell
AudarsKarlis/DMI
/shell_operators_majas.sh
UTF-8
754
3.6875
4
[]
no_license
# 1. piemērs echo "Tu izmanto kalkulatoru, ar kuru ir iespējams veikt dažus vienkāršus aprēķinus." echo "Audar, lūdzu ievadi pirmo argumentu!" read a echo " " echo "Pirmais arguments ir ievadīts." echo "Audar, lūdzu ievadi otro argumentu!" read b echo " " val1=`expr $a - $b` echo "Otrais arguments ir ievadīts." echo "...
true
0f6369b9c40a03aa9d395c84120a0f7f9d40cb65
Shell
YashPareek1/Shell-Programs
/day9/UC5.sh
UTF-8
317
3.1875
3
[]
no_license
#!/bin/bash -x workdaypermonth=20 WageperHour=20 fullTimeHour=8 randomno=$((RANDOM%2)) if [ $randomno -eq 0 ] then echo "Employee is absent" salary=0 else echo "Employee is Present" salary=$(((fullTimeHour*WageperHour)*workdaypermonth)) fi echo "Employee Wages for a Month :-$salary "
true
c48f51d71c79454c3aad9f1d1908d6dd2ca5a2cd
Shell
stevenzdg988/lctt-cli
/options/check/check.sh
UTF-8
859
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Exit the exoeption. set -e # Check Soft whether exised. for SOFT in git readlink ssh do hash $SOFT 1>/dev/null 2>&1 || { echo "Error: COMMAND $SOFT could not be called" } done # Set Chinese Language. LANGUAGE=$(echo $LANG | awk -F "." '{ print $1 }') test $LANGUAGE = 'zh_CN'...
true
817b3dacd5aa3e355bf6ad2246dd1c7baa756b20
Shell
zhangfang615/Tuberculosis
/scripts/callResiSnps.sh
UTF-8
1,034
3.296875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Shell script for calling resistant SNPs on a single sample # Author: Fang Zhang # Date: 2016.5.13 # E-mail: fza34@sfu.ca # $var1 = path to list of samples # $var2 = directory of results # $var3 = path to vcf file of resistant SNPs # Reading parameters ---------------------------------------- sample_lis...
true
ee3d90f54327ed809bb7ef91d0e4df06b80011c2
Shell
AbhishekBandarupalle/LabNetApp
/Kubernetes_v4/Scenarios/Scenario09/scenario09_pull_images.sh
UTF-8
1,929
3.8125
4
[]
no_license
#!/bin/bash # PARAMETER1: Docker hub login # PARAMETER2: Docker hub password if [[ $(docker images | grep centos | grep centos7 | wc -l) -ne 0 ]] then echo "CENTOS image already present. Nothing to do" exit 0 fi if [ $# -eq 0 ] then echo "No arguments supplied" echo "Please add the following par...
true
bcffccd393f8bbb17412c9b27ad2769e12e00054
Shell
sobkulir/slamastika
/deploy.sh
UTF-8
440
3.25
3
[ "MIT" ]
permissive
#!/bin/bash git checkout --quiet master something_changed=$(git diff-index --exit-code --ignore-submodules HEAD) if [ -n "$something_changed" ] then echo >&2 "Master has some changes, this state-of-the-art script thus cannot deploy." exit 1 fi git checkout -B gh-pages mkdir .dist mv src/* .dist rm -rf * mv .d...
true
ac537aaa923b97657633d827066e93b35ac175bd
Shell
elhuhdron/emdrp
/pipeline/k0725_dsx2y2z1-run1/convert_to_knossos_mesh.sh
UTF-8
1,734
3.4375
3
[ "MIT" ]
permissive
# run on green or red # copies with 4 parallel streams but more equally sized by splitting by ranges and not seg levels. # NOTE: copied the thresholds to the segmentation levels backwards, fix on next run. declare -a volume_range_begs=('1 1 1' '1 1 19' '1 1 37' '1 1 55') declare -a volume_range_ends=('19 61 19' '19 6...
true
1c800dfad4d8ab5d5f863fd4622d5bd239f5420f
Shell
prasanna-sk/ConfluentPlatformAutomation
/installIt.sh
UTF-8
2,037
3.125
3
[ "MIT" ]
permissive
#!/bin/bash MYDIR=$(dirname $(realpath $0)) source $MYDIR/silent_config.sh TARBALLPATH=$(realpath $1) mkdir -p $APIGEE_KAFKA_HOME cd $APIGEE_KAFKA_HOME # $1 should be the path to the confluent tarball tar xf $TARBALLPATH CONFLUENT_FOLDER_NAME=$(basename $(ls -d /opt/apigee_kafka/confluent*)) ln -s $APIGEE_KAFKA_...
true
9327983aac20a4108c0c1bd69546d283e0ee68a9
Shell
zendegani/scripts
/old/scripts/Archive/ExtractVecEnZ
UTF-8
924
3.390625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh root=`pwd` echo "$root" file1=e-v.dat file2=E-V.dat file3=E-a.dat perm=`ls -1d DP* | sed 's/DPOSCAR//'` #perm=`ls -1d DP*` for j in $perm;do echo "$j" cd DPOSCAR$j # rm E-a.dat # rm e-v.dat # rm E-V.dat ## path to OUTCAR ##[[ ! -e "OUTCAR" && ! -e "OUTCAR.gz" ]] && echo couldnt find OUTCAR && ...
true
ae263b5b98068e630494fe3a72b497f54afc5467
Shell
ydelomier/SC_Polar_decoder_HLS
/script/test.sh
UTF-8
2,358
2.84375
3
[]
no_license
#!/bin/bash set -x declare -a NBIT declare -a KBIT declare -a QUANT NBIT=(65536 262144 32768 32768 32768 131072) KBIT=(58982 235930 29492 29492 29492 117964) QUANT=(6 6 9 7 8 5) for ELAG in 0 2 do for REF in 1 5 do for PAR in 8 16 64 do # Generate Proper parameters file cd /c/Po...
true
73998d7c3a0384d8d806f53e24b475bced41edb0
Shell
wook2014/cactus
/build-tools/downloadPangenomeTools
UTF-8
3,155
3.203125
3
[ "MIT" ]
permissive
#!/bin/bash # Download and statically build tools needed for cactus-refmap and cactus-graphmap. They are # - minimap2 # - minigraph # - gfatools # - dna-brnn # - mzgaf2paf # - paf2lastz # The following tools are included to export and work with pangenome graph formats # - hal2vg # - vg # If, updating any versions here...
true
6825f79366dd1ab6d680e6b9a589d112155e6b10
Shell
qpre/edu-graphql-api
/run-api.sh
UTF-8
2,234
3.234375
3
[]
no_license
#!/bin/bash # NOTE: script will fail if your database does not exist # NOTE: use `docker rm $APP_NAME` before running the script if previous launch failed. cleanup() { echo 'killing API' docker kill $APP_NAME &> /dev/null exit 0 } trap cleanup INT TERM if [ ! "$(docker ps -a -q -f name=$APP_NAME)" ]; the...
true
b3ee6d44d28379d4ae5886d007b29b79a63fe336
Shell
percona/mongodb_exporter
/.scripts/postinst
UTF-8
187
2.65625
3
[ "Apache-2.0" ]
permissive
#!/bin/sh set -e echo "Creating user and group..." adduser --system --no-create-home -c "Mongodb Exporter User" mongodb_exporter systemctl daemon-reload > dev/null || exit $? exit 0
true
e7766a5124a4ecaa2961a2f72f55c9877f805c44
Shell
timrdf/csv2rdf4lod-automation
/bin/util/cr-full-dump.sh
UTF-8
26,172
3.53125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # #3> <> prov:specializationOf <https://github.com/timrdf/csv2rdf4lod-automation/blob/master/bin/util/cr-full-dump.sh>; #3> prov:wasDerivedFrom <cr-publish-droid-to-endpoint.sh>; #3> rdfs:seeAlso <https://github.com/timrdf/csv2rdf4lod-automation/wiki/One-click-data-dump> . # # Gather all ve...
true
ae570e79b06d8e8ef3be08fd4d61085cd49f25eb
Shell
gitsmoke/smoke-reports
/400/t5526-fetch-submodules.sh
UTF-8
7,087
2.84375
3
[]
no_license
Initialized empty Git repository in /Users/trast/git-smoke/t/trash directory.t5526-fetch-submodules/.git/ expecting success: mkdir deepsubmodule && ( cd deepsubmodule && git init && echo deepsubcontent > deepsubfile && git add deepsubfile && git commit -m new deepsubfile ) && mkdir submodule && ( cd s...
true
94496c8b2c3e23256f768f036dae4e37297a1b29
Shell
NirLalum/test-scripts
/testMemLeaks
UTF-8
614
3.484375
3
[]
no_license
#!/bin/bash # script name: testMemLeaks # description: script runs valgrind on given c file # input: c file, input file, new output file name, out file #output: log file #cheking for # of parameters if (( $# != 3 )); then echo "need 3 parameters" exit 1 fi #running valgrind valgrind --tool=memcheck ./"$2" < "$3" > ...
true
a4f15561f184efced81d051c3069e765b29ff3d7
Shell
webvariants/dockerfiles-develop
/bin/docker-compose
UTF-8
1,195
3.8125
4
[]
no_license
#!/bin/bash -e DOCKER_COMPOSE_DIR="$(dirname $(realpath "${BASH_SOURCE[0]}"))" DOCKER_COMPOSE_VERSION="1.25.3" DOCKER_COMPOSE_ARCH="$(uname -s)-$(uname -m)" DOCKER_COMPOSE_URL="https://github.com/docker/compose/releases/download/$DOCKER_COMPOSE_VERSION/docker-compose-$DOCKER_COMPOSE_ARCH" DOCKER_COMPOSE_NAME="docker-c...
true
09cf52b57bf698be8266df9819d452e2c7e8841a
Shell
epfl-lasa/robot-toolkit
/packages/core/robot_simulator/run_simulator.sh
UTF-8
322
2.859375
3
[]
no_license
#!/bin/bash # this is a little executable script which can be used to correctly launch robot_simulator from a ros launch file # find path to rtk_pkg_tools rtk_path=$(rospack find rtk_pkg_tools) # strip the path name to get rtk root rtk_path=${rtk_path%/*} cd $rtk_path exec bin/robot_simulator $* # cd $1 # exec ${@:2}...
true
d1dcf90c1828cee269dd37f1893a9ad1a556430d
Shell
qzq92/Kubernetes-On-prem
/makedir_flannel_init.sh
UTF-8
573
2.84375
3
[]
no_license
#!/bin/sh set -e set x echo "Making necessary directory after kubeadm init" echo "Making $HOME/.kube" mkdir -p $HOME/.kube echo "Copying /etc/kubernetes/admin.conf to $HOME/.kube/config, changing ownership" sudo cp -i /etc/kubernetes/admin.conf $HOME/.kube/config sudo chown $USER:$USER $HOME/.kube/config echo "Making...
true
1ad88d87b140deacf62beeb8d3e51ce759c0ffd7
Shell
memoryleak47/utils-library
/bin/useful/ecd
UTF-8
247
3.15625
3
[]
no_license
#!/bin/bash if [[ $1 =~ ^\.\.\.+$ ]]; then points=$1 #echo "match" while [[ $points =~ \.\.\.+ ]] do points=${points/\.\.\./\.\.\/\.\.} #echo $points done #echo $points else points=$1 #echo "dont match" fi #echo $points "cd" $points
true
07cb889e0400db3140373d1d35cd0c79ed8965cd
Shell
carhartl/dotfiles
/bin/bootstrap
UTF-8
848
3.53125
4
[]
no_license
#!/usr/bin/env bash set -e echo "Bootstrapping dotfiles..." # Clone bare repo git clone --bare https://github.com/carhartl/dotfiles.git "$HOME/.dotfiles.git" function config { /usr/bin/git --git-dir="$HOME/.dotfiles.git/" --work-tree="$HOME" "$@" } config checkout config submodule update --init --recursive config...
true
f38061da073778f49bcdd766fea7af891b8f742c
Shell
gabby2001/holberton-system_engineering-devops
/0x10-https_ssl/1-world_wide_web
UTF-8
722
3.28125
3
[]
no_license
#!/usr/bin/env bash # A script to display subdomain information if [ "$2" ] then dig "$2.$1" | awk -v sub_="$2" '/ANSWER SECTION:/ {getline; printf "The subdomain %s is a %s record and points to %s\n", sub_, $4, $5}' else dig www."$1" | awk '/ANSWER SECTION:/ {getline; printf "The subdomain www is a %s record and poi...
true
47e82ec21b87aec18dc9b8193157f7a16f40261e
Shell
77QingLiu/SAS-Program-Library
/0-Macro/Roland/scripts/myderchk
UTF-8
2,828
3.828125
4
[]
no_license
#!/bin/bash #<pre><b> # Script : myderchk # Version : 1.1 # Author : Roland Rashleigh-Berry # Date : 11-Mar-2007 # Purpose : Scans runderived.chk to show you details that belong to your # own program's log files (based on .sas file ownership) # SubScripts : none # Notes : none # Us...
true
b1b1955681cadd2e22090daa6931c2c3989e73e1
Shell
delkyd/alfheim_linux-PKGBUILDS
/hgshelve-hg/PKGBUILD
UTF-8
877
2.671875
3
[]
no_license
# Maintainer: Jérôme M. Berger <jeberger@free.fr> # Contributor: Gour-Gadadhara Dasa <gour@atmarama.net> # Contributor: Paul Barker <paul@paulbarker.me.uk> name=hgshelve pkgname=$name-hg pkgver=107.b81580adae4e pkgrel=1 pkgdesc="Shelve Extension for Mercurial" arch=(any) url="http://mercurial.selenic.com/wiki/ShelveEx...
true
7cc426c05bac12db78ed074e3a7aab8987f8abea
Shell
osde8info/boinc-docker
/boinc-client/start.sh
UTF-8
1,175
2.984375
3
[]
no_license
#!/bin/bash mkdir -p /usr/app/boinc/locale mkdir -p /usr/app/boinc/slots LHC_XML='account_lhcathome.cern.ch_lhcathome.xml' ROS_XML='account_boinc.bakerlab.org_rosetta.xml' UNI_XML='account_universeathome.pl_universe.xml' YOY_XML='account_www.rechenkraft.net_yoyo.xml' global_prefs='global_prefs_override.xml' . start...
true
15b3a292cca35dd512982fd03f49f992f47450b9
Shell
GamiiisKth/lendo-test-searchIn-google-place-api-parent
/execute.sh
UTF-8
4,443
3.78125
4
[]
no_license
# -al/bin/bash ############################################################################## # # The script works by executing a command in each repository according to the # order specified in the buildOrder array specified at the top of the script # # There are a number of predefined commands setup for the user li...
true
167e40e03ffca8f1bc808a78c2e7f08444c7159c
Shell
rfikree/cpg
/utils/setNFSv3.sh
UTF-8
708
3.84375
4
[]
no_license
#!/bin/bash VFSTAB=/etc/vfstab TMPSCRIPT=/tmp/remounts.$$ if [ ! -w ${VFSTAB} ]; then echo echo FATAL: Unable to write to ${VFSTAB} echo exit 1 fi if grep vers=3 ${VFSTAB}; then echo echo Version already set echo exit 0 fi # Backup if [ ! -f ${VFSTAB}.orig ]; then cp ${VFSTAB} ${VFSTAB}.orig fi # Update ...
true
c42274c4452e1b43123e71dcb19305f218c2b590
Shell
Shashanksd40/Assignments-Bridgelabs-
/Shell_Programming(Assign.)/For_LOOP/harmonicNumberPattern.sh
UTF-8
83
3
3
[]
no_license
#!/bin/bash -x n=$1 echo $n for ((i=1;i<=n;i++)) do h="1/"$i echo $h done
true
40e55d127ec42f883a8deaa35ce7d48df45354d6
Shell
Wildish-LBL/ro-catalogue
/v0.1/me-pack-217/minim-checklist.sh
UTF-8
558
2.53125
3
[]
no_license
#!/bin/bash # # RO manager checklist sample script # source ../../ro.sh RONAME="me-pack-217" TESTRO="$ROPATH/$RONAME" echo "--------" $RO evaluate checklist -d $TESTRO -a me-pack-217-runnable.rdf "Runnable" $TESTRO/ echo "--------" $RO evaluate checklist -d $TESTRO -a me-pack-217-replicable.rdf "Replicable" $TEST...
true
da0e24ec972aef6ffa473f0bd5d90abe3f2c91cb
Shell
TomoProg/docker-repo
/rails_multiple_database_sample/bin/run-docker-compose-all-in-one.sh
UTF-8
158
2.53125
3
[]
no_license
#!/bin/bash SCRIPT_DIR=$(cd $(dirname $0) && pwd) source ${SCRIPT_DIR}/app.env YML_FILE="${SCRIPT_DIR}/yml/docker-compose.yml" docker-compose -f $YML_FILE $*
true
d2aca5d6d5bbc80b0793ab06817cabb75cc44a55
Shell
ankitrokdeonsns/provisioners
/redhat.sh
UTF-8
1,676
2.96875
3
[]
no_license
#!/bin/bash -e exists() { which "$1" > /dev/null } if ! exists git; then yum install -y git fi yum install tig vim git config --global user.name "ankit rokde" git config --global user.email ankitrokdeonsns@gmail.com git config --global color.ui true git config --global core.editor "/usr/bin/vim" DOTFILES_DI...
true
f4025d7e0dafee769d2eeae3b1ed4dc1e895feff
Shell
yukselao/ibmresilient
/components/parallel.sh
UTF-8
388
3.453125
3
[]
no_license
#!/bin/bash splitcounter=7000 parallelcount=10 function processit() { f=$1 echo "$(date "+%F %T") INFO processing $f ($(wc -l $f| awk '{print $1}') rows)" sleep 15 # curl blablabla } /bin/rm -fr ./tmp* split -l $splitcounter $1 tmp i=0 for f in $(ls -1 tmp* |sort); do processit $f & export i=$(expr $i + 1) if...
true
987970892750ac84d96d8061bda7cd201939526a
Shell
Jhingun1/repo
/archlinuxcn/eclipse-emf/PKGBUILD
UTF-8
1,045
2.5625
3
[]
no_license
# Contributor: Stéphane Marguet (Stemp) <smarguet@gmail.com> # Contributor: scippio <scippio [at] berounet.cz> # Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve> # Contributor: Corrado Primier <bardo@aur.archlinux.org> # Contributor: Rubin Simons <rubin@xs4all.nl> # Contributor: Arthur Zamarin <arthurza...
true
5a5fdabc7d02e72e8e89181f9060db0188999ab9
Shell
igorkosta/funda
/templates/scripts/tearDown.sh
UTF-8
353
3.484375
3
[]
no_license
#!/bin/bash DYNAMO=`ps -ef | awk '/[d]ynamo/{print $2}'` echo $DYNAMO if [[ "$DYNAMO" -gt 0 ]] then echo 'trying to kill dynamodb first' kill $DYNAMO else echo 'dynamodb is not running' fi; if [ ! -f .offline.pid ] then echo ".offline.pid doesn't exist" else echo 'killing serverless offline' kill `cat .of...
true
68806460eeb30201329178875aac3d0d59079517
Shell
NgD01/repo
/zotero/PKGBUILD
UTF-8
1,601
2.921875
3
[]
no_license
# Contributor: Juanma Hernandez <juanmah@gmail.com> # Maintainer: Juanma Hernandez <juanmah@gmail.com> pkgname=zotero pkgver=4.0.29.10 pkgrel=1 pkgdesc="Zotero Standalone. Is a free, easy-to-use tool to help you collect, organize, cite, and share your research sources." arch=('i686' 'x86_64') url="http://www.zotero.or...
true
d76372ddbb196e40e9e93a23ee374d81ad85fff1
Shell
danielnbarbosa/docker-noke-nginx
/rolling_deploy.sh
UTF-8
720
2.71875
3
[]
no_license
#! /bin/bash # Deploy image to Docker Hub docker push danielnbarbosa/noke-nginx # Rolling deploy to CoreOS cluster UNIT=noke-nginx SLEEP=3 USER=core HOST=54.67.119.167 scp ${UNIT}@.service ${USER}@${HOST}: ssh ${USER}@${HOST} -C "fleetctl destroy ${UNIT}@.service && sleep $SLEEP && fleetctl submit ${UNIT}@.service ...
true
05c874d250f83090ac77b04630ff4af9cb769af2
Shell
ruzickap/old_stuff
/my_old_debian_server_configs/sites
UTF-8
24,437
3.359375
3
[]
no_license
#!/bin/bash usage() { cat << EOF Usage: * Create only DNS records: $0 --domain="xvx.cz" * Create Wordpress site $0 --wordpress-password="xxxx" --wordpress-title="linux.xvx.cz" --wordpress-admin-email="webmaster@xvx.cz" --wordpress-admin-name="admin" --user-password="xxxx" --ca-password="xxxxx" --domain="...
true
c4b3052c82972e115a2b5954ef9799ed6500849b
Shell
yhifny/keras-kaldi
/timit_work/score_timit/score48.sh
UTF-8
832
2.640625
3
[]
no_license
#!/bin/bash # ------------------------------------------------------- SCORING_PATH=/home/lumi/Dropbox/ALL/timit_work/score_timit LOG_DIR=$SCORING_PATH/log_scoring GENSCLITE=$SCORING_PATH/GenScliteNum.py SCLITE=$SCORING_PATH/sclite REF48=$1 HYP48=$2 ## ## LOG DIR ## mkdir -p $LOG_DIR rm -f $LOG_DIR/* cat $REF48 | cu...
true
c3aceae983dbc6250a1783b71d29ccbe269230dc
Shell
AlexisPotelle-Epitech/Tools_Script
/prepare_my_repo.sh
UTF-8
532
3.1875
3
[]
no_license
#!/bin/bash name_of_dir=$1 user_login= token= create_repo() { blih -u $user_login -t $token repository create $name_of_dir } set_reading_permissions_for_epitech_bot() { blih -u $user_login -t $token repository setacl $name_of_dir ramassage-tek r } check_permissions() { blih -u $user_login -t $token reposi...
true
a5ad3c700d3140f0d54d82d00e39366c7d0dbcc9
Shell
BennettXu/batch-del-redis
/batch-del-redis
UTF-8
850
3.671875
4
[ "MIT" ]
permissive
#!/bin/bash host="192.168.1.1" port=6379 passwd="loveit" if [ $# -ne 1 ] then echo "Delete keys from Redis matching a pattern using SCAN & DEL" echo "Usage: sh batch-del-redis <pattern>" exit 1 fi cursor=0 pnum=0 #process redis key numbers while(true) do i=0 #lianghui redis reply=`./redis-cli -h $...
true
7e0336af1680e6da2df7e7e7ef1ca6e26e972c30
Shell
nateurope/eldk
/usr/lib/rpm/brp-strip-static-archive
UTF-8
430
3.5
4
[]
no_license
#!/bin/sh if [ -z "$CROSS_COMPILE" -o -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then exit 0 fi case `uname -a` in Darwin*) exit 0 ;; *) ;; esac # Strip static libraries. for f in `find $RPM_BUILD_ROOT -type f -a -exec file {} \; | \ grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \ grep 'current a...
true
f0536724bbec8408fa5c02a9811e5999aee195c2
Shell
maximyudayev/YY-MANET-Protocol
/vsc/road_segment_index_building/network_reduce_to_graph.pbs
UTF-8
620
2.8125
3
[]
no_license
#!/bin/bash -l #PBS -A default_project #PBS -l nodes=1:ppn=1 #PBS -l pmem=16gb #PBS -l walltime=01:00:00 #PBS -o debug/ #PBS -e debug/ #PBS -m bae #PBS -M maxim.yudayev@student.kuleuven.be #Change directory to location from which task was submitted to queue: $VSC_DATA/vsc/graph_building cd $PBS_O_WORKDIR module purge ...
true
812f4332523886188fa8340650d8d7b31c16f153
Shell
leloulight/PKGBUILD
/bzzwolfsp-svn/create_pk3.sh
UTF-8
303
2.796875
3
[]
no_license
#!/bin/bash PAKFILE=sp_pak_coop1.pk3 ORIGINALFOLDER=$(pwd) cd media/sp_pak_coop1 zip -r $PAKFILE ./ -x "*.svn*" mv $PAKFILE ../ echo "Creating bin.pk3" cd ../../build/release-linux* cd coopmain/ zip -r bin.pk3 *.so cp bin.pk3 ~/.wolf/coopmain/ mv bin.pk3 ../../../media/
true
24a7c1473a471a14deb9759d4b879212747a64db
Shell
6-9-6-9/collab-vm-server
/scripts/copy_dlls_tmux.sh
UTF-8
458
3.125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [[ ! -d $2/libs ]]; then mkdir $2/libs; fi for i in $(ldd $2/collab-vm-server); do if [[ -f cvmlib/lib/$i ]]; then cp cvmlib/lib/$i $2/libs/ 2>/dev/null fi done echo '#!/bin/bash' > $2/libs/update_libs.sh echo 'pkg install -y boost libsqlite libjpeg-turbo libpng libcairo' >> $2/libs/update_libs.sh e...
true
893acbd1da42d61225f39106a09c4fde91942aa7
Shell
cu-ecen-aeld/assignment-2-vido2373
/finder-app/finder.sh
UTF-8
307
4.03125
4
[ "MIT" ]
permissive
#!/bin/bash # Check num of args if [ $# -ne 2 ] then echo Incorrect number of arguments: 2 required exit 1 elif [ ! -d $1 ] then echo $1 is not a directory exit 1 fi x=$(find $1 -mindepth 1 | wc -l) y=$(grep -r $2 $1 | wc -l) echo "The number of files are $x and the number of matching lines are $y"
true
f8970db94f625f4e99756f24c86f502f2b064653
Shell
tyzbit/dockerfiles
/phpmyadmin/update.sh
UTF-8
299
2.953125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -Eeuo pipefail cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" latest="$(curl -fsSL 'https://www.phpmyadmin.net/home_page/version.json' | awk -F ' +"|": "|",' '$2 == "version" { print $3; exit }')" set -x sed -ri 's!^(ENV PHPMYADMIN_VERSION).*!\1 '"$latest"'!' Dockerfile
true
5b042f4a341164f75334a481dd13812ce93283da
Shell
mcfearsome/profile
/autojump.sh
UTF-8
279
3.171875
3
[]
no_license
if [ $SHELL = "/bin/bash" ]; then export PROMPT_COMMAND='autojump -a "$(pwd -P)";'"$PROMPT_COMMAND" alias jumpstat="autojump --stat" function j { new_path=$(autojump $@);if [ -n "$new_path" ]; then echo -e "\\033[31m${new_path}\\033[0m"; echo; cd "$new_path";fi } fi
true
a408d023452bcd6bba0c3b007153d86185a83285
Shell
hjben/docker
/spark/docker-script/spark-start.sh
UTF-8
832
3.65625
4
[]
no_license
#!/bin/bash workers=$1 core=$2 mem=$3 if [ -z $mem ] then echo "Some parameter value is empty. Usage: spark-start.sh <(The # of) workers [integer]> <(CPU)core [integer]> <mem (GiB) [integer]>" exit 1 fi if [[ ! $workers =~ ^-?[0-9]+$ ]] then echo "The # of workers is not integer." exit 1 fi if [[ ! $core =~...
true
a129ed9526bfac604daf3e7f470ae8ce9c3004db
Shell
vjpr/issue-wallaby-ava
/scripts/run-node.sh
UTF-8
641
3.109375
3
[]
no_license
#!/bin/sh export SCRIPT_START_TIME=`date +"%Y-%m-%dT%H:%M:%S%z"` # We run Node.js directly with following settings: basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')") # Use realpath otherwise it can be very long because of all the resolved symlinks. pkgdir=$(realpath "$basedir/..") # TODO(vjpr): Make more robus...
true
3cf15c099762d23da59e2574e12bb61539dac11c
Shell
guosenor/dbackup
/MongoDBackup.sh
UTF-8
917
3.171875
3
[]
no_license
#!/bin/sh #定时任务配置:*/5 * * * * /home/guosen/MonoDBackup.sh >/dev/null 2>&1 # #上传到oss请到MongoDBackUpToOss.js中设置阿里云秘钥空间名. # DUMP=mongodump NODE=/usr/local/bin/node OUT_DIR=/home/guosen/mongod_bak/mongod_bak_now TAR_DIR=/home/guosen/mongod_bak/mongod_bak_list #Server=guosen@192.168.12.73 DATE=`date +"%F%H%M%S"` JSDir=...
true
c9458487b99375bedf785d46aa785e33d3fdb78e
Shell
bikle/rluck
/svm8hp/svm2/bld_jpy14.bash
UTF-8
966
2.90625
3
[]
no_license
#!/bin/bash # bld_jpy14.bash # This script builds a sql script. . /pt/s/rluck/svm8hp/.jruby set -x cd $SVM8HP cd svm2/ # jpy14t.txt will be the 'top' of jpy14.sql cat abc14t.txt | sed 's/abc/jpy/g' > jpy14t.txt # jpy14m.txt will be the 'middle' of jpy14.sql cat abcxyz.sql | sed 's/abc/jpy/g' | sed 's/xyz/eur/g' ...
true
0abfa1c2dea642f1fde260fe5d4c4b42903049a3
Shell
tgreaves/mongo-playpen
/sharded_replica_sets/start_demo.sh
UTF-8
2,218
3.640625
4
[]
no_license
#!/bin/sh # # MongoDB sharded replica set example. # # Two shards. Each consists of a three server replica set. # Also required: 1 config server, 1 mongos instance. # # IMPORTANT: In a production environment, this would not all sit on one physical machine, and you would need more than one # config and mongos instance....
true
70fd4bd1d9592e06d1b5ca4d7f89a25871d35846
Shell
zhangaz1/dotfiles-29
/.profile
UTF-8
1,731
3.234375
3
[]
no_license
## # PATH setup export PATH="$HOME/.bin:$PATH" # add brew version of curl to PATH export PATH="/usr/local/opt/curl/bin:$PATH" # directory specific .envrc files eval "$(direnv hook bash)" # vim all the things export EDITOR="vim" export VISUAL="$EDITOR" # utf-8 all the things export LC_ALL=en_US.UTF-8 export LANG=en_U...
true
24beeac2d2cbe007f14a34a9d1e0ac3aa2dd6c6b
Shell
maybeken/CloudVirtualSmartDoctor-AutoTriage
/sources/Bash/webcam.sh
UTF-8
1,238
3.921875
4
[]
no_license
#!/bin/bash #### CONFIGURATION #### DISABLED=true ## Disable the Script ## FILE_NAME=image.jpg ## Target File Name ## TRIGGER_FILE=takepic.txt ## Trigger File Name ## BUCKET=healthimagecloudlabhk ## AWS S3 Bucket ## BUCKET_TRIGGER=healthimagecloudlabhk ## AWS S3 Trigger Bucket ## REGION=us-east-1 ## AWS S3 Region #...
true
86227ad1aa7116dde3d389a9e6595be9986a7f47
Shell
leandromoreira/cat
/scripts/check_dependencies.sh
UTF-8
523
2.953125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash set -e if ! type "docker-compose" > /dev/null; then echo '=================================================================' echo 'you need to have docker-compose installed' echo '=================================================================' exit 1 fi if ! type "vagrant" > /dev/null; then e...
true
72985a42de49e1dee67db6b62e721bc1a4d9d56b
Shell
c19ctabc/c19ct-b
/converted.d/run_conversion.sh
UTF-8
1,109
2.578125
3
[]
no_license
#!/bin/sh dothis(){ ssconvert -T \ Gnumeric_Excel:xlsx2 \ covid-19_progression_math.gnumeric \ covid-19_progression_math_xlsx2.xlsx ssconvert -T \ Gnumeric_Excel:xlsx \ covid-19_progression_math.gnumeric \ covid-19_progression_math.xlsx ssconvert -T \ Gnumeric_Excel:excel_dsf \ covid-19_progre...
true
a5dc263160c1d2c35c4de98eee9c57c813cac6e6
Shell
Otus-DevOps-2019-08/whoami-io_infra
/packer/scripts/deploy.sh
UTF-8
391
2.578125
3
[ "MIT" ]
permissive
#!/bin/bash git clone -b monolith https://github.com/express42/reddit.git cd reddit bundle install if [ $? -ne 0 ]; then echo "Failed to install with bundle" exit 1 fi sudo mv /tmp/reddit-start.service /etc/systemd/system/ sudo chmod 664 /etc/systemd/system/reddit-start.service sudo systemctl daemon-reload ...
true
c46973c6900dbb5bfedae6d631b79052bf304ee5
Shell
simpeng/max-batchsize-benchmarks
/scripts/tf_cnn_benchmarks/start_eval.sh
UTF-8
2,626
3.640625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash model_name=$2 start_batch_size=$1 if [ -z "$model_name" ] || [ -z "$start_batch_size" ] then echo 'model name and batch size can not be null' exit 2 fi run_simple_batch=false if [ -n "$3" ] then echo 'run simple batch only' run_simple_batch=true fi # we aim to get a full pass run_vertically() {...
true
74e20531a7c9b92cb70df3a8db3f273ede9f79cf
Shell
shortlink-org/shortlink
/poc/scripts/install-protobuf.sh
UTF-8
650
3.953125
4
[ "MIT" ]
permissive
#!/bin/sh set -ex export PROTOBUF_VERSION=22.3 export basename=protoc-$PROTOBUF_VERSION-linux-x86_64.zip case "$(uname -sr)" in Linux*) echo 'Install protobuff for Linux' install_protobuf_for_linux ;; Darwin*) echo 'Install protobuff for Mac OS X' install_protobuf_...
true
8c638c4ab7504fbc8bf25c5c720e71d40983e064
Shell
ppc64le/build-scripts
/w/webcrawler/andreas-hess_webcrawler_Ubuntu_16.04.sh
UTF-8
1,369
3.078125
3
[ "Apache-2.0" ]
permissive
# ---------------------------------------------------------------------------- # # Package : andreas-hess_webcrawler # Version : Not available. # Source repo : http://andreas-hess.info/programming/webcrawler # Tested on : ubuntu_16.04 # Script License: Apache License, Version 2 or later # Maintainer : Atul Sowani <sowa...
true
17fa1f96030bf5381c2f895ff304d1937760f593
Shell
shaunstanislaus/vector
/compiler/vectorc.sh
UTF-8
1,261
3.53125
4
[]
no_license
#!/bin/bash action=link while getopts "scgd" opt do case "$opt" in s) action=generate ;; c) action=compile ;; g) debug="debug" ;; d) device="device" ;; esac done shift $((OPTIND-1)) if [ "$debug" ]; then CFLAGS="-Wall -g" else CFLAGS="-Wall -O2" fi if [ "$device" ]; ...
true
5c62f91f89caf2310b6c054968f41a2de7e5d864
Shell
amritha-tk/CodinClub
/flipCoinSimulator.sh
UTF-8
471
3.40625
3
[]
no_license
#!/bin/bash -x Head=0 Tail=0 for (( i=0; $Head<21 && $Tail<21; i++ )) do rand=$(( (RANDOM %2 ) + 1 )) if [ $rand -eq 1 ] then echo "...Heads..." ((Head++)); else echo "...Tails.." ((Tail++)) fi done if [[ $Head -eq $Tail ]] then echo "Its a Tie" echo "Heads=" ...
true
8199cfdc3380bb5752dadc1efa9b1dd80a3efcd8
Shell
AAMLLe/SecondSemVer
/3excB.sh
UTF-8
509
2.609375
3
[]
no_license
#!/bin/bash # execute using backticks git status git checkout -b master rm CHANGELOG.md echo `npm run releaseTh` commit_files() { ls -la # git checkout -b master git add CHANGELOG.md git add package.json git commit --message "Travis build: $TRAVIS_BUILD_NUMBER [skip ci]" git status } git rm -r --cached node...
true
b8918a04acd4f704e1fb7b0fcb2f1eeba5a4c1eb
Shell
gaalcaras/dotfiles
/rofi/modules/rofi_task
UTF-8
2,166
3.90625
4
[ "MIT" ]
permissive
#!/bin/bash # ######################################################################## # ROFI MODE: TASK # by Gabriel Alcaras # # Helper script to deal with taskwarrior through rofi. # # Script to be used as an extra mode for rofi (using -modi argument or the # config file). # ##########################################...
true
20908b9845e7f636edc52f30e18c66e8315fb4b0
Shell
D0ckW0rka/owncloud
/bin/ci/prepare.sh
UTF-8
3,794
2.578125
3
[]
no_license
#!/bin/sh cd bin # Prepare Selenium mkdir sausage && cd sausage curl -s https://raw.github.com/jlipps/sausage-bun/master/givememysausage.php | SAUCE_USERNAME=mreinhardt SAUCE_ACCESS_KEY=28125823-d5a7-4ffe-a29b-f2976cb8d473 php cd .. cd .. # SETUP OWNCLOUD # TODO add stable oc # TODO move dir to variables echo "Prepar...
true
604528e783124d9688de19b04dbda1cfae18a0bd
Shell
CptDoraemon/xiaoxihome-react-express
/deploy.sh
UTF-8
261
2.9375
3
[]
no_license
#!/bin/bash if [ -z "$1" ] then echo "Need commit message" exit 1 fi if [ -n "$2" ] then echo "Quote commit message" exit 1 fi cd client && npm run get-tree && cd .. & git add . && git commit -m "$1" && git push && git push heroku master
true
79813f72a35002449defb19a687519060247e68f
Shell
rezen/squire
/bin/lookup-crtsh.sh
UTF-8
1,384
3.84375
4
[]
no_license
#!/usr/bin/env bash if ! (command -v md5sum) then md5sum() { md5 -r "$1" } fi echo '[i] Checking for requirements' if ! (command -v pup) then echo '[!] For html processing you need to install pup' echo ' github.com/ericchiang/pup/releases' exit 1 fi target="${1:-.example.com}" slug=$(echo "$target"...
true